<?php
namespace ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Traits;

trait ErrorHandler
{

    /**
     * @var
     */
    protected $error;

    /**
     * @param null $error
     * @return $this
     */
    public function setError($error = null)
    {
        $this->error = $error;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getError()
    {
        return $this->error;
    }

}